/*
 * $Header: sqlda.h,v 10301.1 88/03/31 15:08:22 rcs Exp $ sqlda.h Copyr (c) 1987 Oracle
 */

/* v1pcc,10301,v1pcc$src:[defs.10301] */
/***************************************************************
*      The SQLDA descriptor definition			       *
*--------------------------------------------------------------*
*      VAX/3B Version					       *
*                                                              *
*  Copyright (c) 1987 by Oracle Corporation                    *
***************************************************************/

/*  MODIFIED
    Morse      12/01/87 - undef L and S for v6 include files
    Richey     07/13/87 - change int defs to long 
    Clare      09/13/84 - Port: Ch types to match SQLLIB structs
    Clare      10/02/86 - Add ifndef SQLDA
*/

#ifndef SQLDA_
#define SQLDA_ 1
 
#ifdef T
# undef T
#endif
#ifdef F
# undef F
#endif

#ifdef S
# undef S
#endif
#ifdef L
# undef L
#endif
 
struct SQLDA {
  long	  N;   /* Descriptor size in number of entries	       */
  char	**V;   /* Ptr to Arr of addresses of main variables    */
  long	 *L;   /* Ptr to Arr of lengths of buffers	       */
  short  *T;   /* Ptr to Arr of types of buffers	       */
  short **I;   /* Ptr to Arr of addresses of indicator vars    */
  long	  F;   /* Number of variables found by DESCRIBE        */
  char	**S;   /* Ptr to Arr of variable name pointers	       */
  short  *M;   /* Ptr to Arr of max lengths of var. names      */
  short  *C;   /* Ptr to Arr of current lengths of var. names  */
  char	**X;   /* Ptr to Arr of ind. var. name pointers        */
  short  *Y;   /* Ptr to Arr of max lengths of ind. var. names */
  short  *Z;   /* Ptr to Arr of cur lengths of ind. var. names */
  };
 
typedef struct SQLDA SQLDA;
 
#endif
